/* Modeling and Viewing Transformations   */
#include <GL/glut.h>
   
void display (void)
{ 
    glClearColor (1.0, 1.0, 1.0, 0.0);
    glShadeModel (GL_FLAT);
    glClear (GL_COLOR_BUFFER_BIT);
    glColor3f (1.0, 0.0, 0.0);

    glTranslatef(0.0, 0.0, -5.0);    
    glRotatef(53.0,0.0,1.0,0.0);
    glScalef(1.0, 2.0, 1.0);
    glutWireCube(1.0);
    glFlush();
}

void reshape(int w, int h)
{
    glViewport (100, 100, (GLsizei) w/2, (GLsizei) h/2);
    glMatrixMode (GL_PROJECTION);  
    glLoadIdentity ();
    glFrustum(-1.0,1.0,-1.0,1.0,1.5,20.00);
    glMatrixMode (GL_MODELVIEW);
    glLoadIdentity ();
//    gluLookAt (3.53,0.0,3.53, 0.0,0.0,0.0, 0.0,1.0,0.0);
}

int main(int argc, char** argv)
{
    glutInit (&argc, argv);
    glutInitDisplayMode (GLUT_SINGLE | GLUT_RGB);
    glutInitWindowSize (500, 500);
    glutInitWindowPosition (100, 100);
    glutCreateWindow ("Transformation");
    glutDisplayFunc (display);
    glutReshapeFunc (reshape);
    glutMainLoop();
    return 0;
}
