/* Clipping planes   */

#include <GL/glut.h>
   
void display (void)
{ 
    GLdouble eqn0[4] = {0.0, 1.0, 0.0, 0.0};
    GLdouble eqn1[4] = {1.0, 0.0, 0.0, 0.0};
 
    glClearColor (1.0, 1.0, 1.0, 0.0);
    glClear (GL_COLOR_BUFFER_BIT);
    glColor3f (1.0, 0.0, 0.0);
    
   glClipPlane (GL_CLIP_PLANE0, eqn0);
    glEnable (GL_CLIP_PLANE0);
//    glClipPlane (GL_CLIP_PLANE1, eqn1);
//    glEnable (GL_CLIP_PLANE1);	   
    
    glutWireSphere(1.0, 20, 16);
    glFlush();
}

void reshape(int w, int h)
{
    glViewport (0, 0, (GLsizei) w, (GLsizei) h);
    glMatrixMode (GL_PROJECTION);
    glLoadIdentity ();
    gluPerspective (60.0, (GLfloat) w/(GLfloat) h, 1.0, 20.0);
    glMatrixMode (GL_MODELVIEW);
    glLoadIdentity ();
    gluLookAt (0.0,0.0,5.0, 0.0,0.0,0.0, 0.0,1.0,0.0);
}

int main(int argc, char** argv)
{
    glutInit (&argc, argv);
    glutInitDisplayMode(GLUT_SINGLE | GLUT_RGB);
    glutInitWindowSize (500, 500);
    glutInitWindowPosition (100, 100);
    glutCreateWindow ("Clipped Sphere");
    glutDisplayFunc (display);
    glutReshapeFunc (reshape);
    glutMainLoop();
    return 0;
}
